<?php
// 设置响应头为JSON
header('Content-Type: application/json');

// 引入配置文件
require_once '../config/config.php';

// 初始化结果数组
$result = [];

try {
    // 查询所有仓库
    $sql = "SELECT warehouse_id, warehouse_name, warehouse_type, address, contact_person, contact_phone 
            FROM warehouses 
            WHERE status = 'active' 
            ORDER BY warehouse_name";
    $stmt = $conn->prepare($sql);

    if ($stmt === false) {
        // 记录错误但不暴露给客户端
        error_log("准备查询仓库的SQL语句失败: " . $conn->error);
        echo json_encode($result);
        exit;
    }

    if ($stmt->execute()) {
        $data = $stmt->get_result();

        if ($data) {
            while ($row = $data->fetch_assoc()) {
                $result[] = $row;
            }
        }
    } else {
        // 记录错误但不暴露给客户端
        error_log("执行查询仓库失败: " . $stmt->error);
    }
    $stmt->close();
} catch (Exception $e) {
    // 记录错误但不暴露给客户端
    error_log("获取仓库列表异常: " . $e->getMessage());
}

// 返回JSON格式的结果
echo json_encode($result);
exit;
