<?php
// 防止直接访问
if (!defined('IN_SYSTEM')) {
    die('禁止直接访问此文件');
}
?>

<div class="module-tools">
    <div class="tool-left">
        <h3>物流订单列表</h3>
    </div>
    <div class="tool-right">
        <a href="index.php?page=delivery&action=add" class="btn btn-primary">
            创建物流订单
        </a>
    </div>
</div>

<?php if (!empty($message)): ?>
    <div class="alert alert-<?php echo $messageType; ?>">
        <?php echo $message; ?>
    </div>
<?php endif; ?>

<div class="search-section">
    <form method="get" action="index.php" id="search-form" class="search-form">
        <input type="hidden" name="page" value="delivery">

        <div class="search-group">
            <input type="text" name="search" class="search-input" placeholder="单号/客户/收件人" value="<?php echo htmlspecialchars($search); ?>">
        </div>

        <div class="search-group">
            <select name="status" class="search-input">
                <option value="">全部状态</option>
                <option value="pending" <?php echo $status === 'pending' ? 'selected' : ''; ?>>待处理</option>
                <option value="processing" <?php echo $status === 'processing' ? 'selected' : ''; ?>>处理中</option>
                <option value="shipping" <?php echo $status === 'shipping' ? 'selected' : ''; ?>>配送中</option>
                <option value="delivered" <?php echo $status === 'delivered' ? 'selected' : ''; ?>>已送达</option>
                <option value="cancelled" <?php echo $status === 'cancelled' ? 'selected' : ''; ?>>已取消</option>
                <option value="exception" <?php echo $status === 'exception' ? 'selected' : ''; ?>>异常</option>
            </select>
        </div>

        <div class="search-group">
            <select name="delivery_method" class="search-input">
                <option value="">全部配送方式</option>
                <?php foreach ($methods as $method): ?>
                    <option value="<?php echo $method['method_id']; ?>" <?php echo $delivery_method == $method['method_id'] ? 'selected' : ''; ?>>
                        <?php echo htmlspecialchars($method['method_name']); ?>
                    </option>
                <?php endforeach; ?>
            </select>
        </div>

        <div class="search-group">
            <input type="date" name="start_date" class="search-input date" placeholder="开始日期" value="<?php echo htmlspecialchars($start_date); ?>">
        </div>

        <div class="search-group">
            <input type="date" name="end_date" class="search-input date" placeholder="结束日期" value="<?php echo htmlspecialchars($end_date); ?>">
        </div>

        <div class="search-group">
            <button type="submit" class="btn btn-primary">搜索</button>
            <a href="index.php?page=delivery" class="btn btn-secondary">重置</a>
        </div>
    </form>
</div>

<div class="table-container">
    <table class="data-table">
        <thead>
            <tr>
                <th>物流单号</th>
                <th>出库单号</th>
                <th>客户名称</th>
                <th>收件人</th>
                <th>配送方式</th>
                <th>物流公司</th>
                <th>物流状态</th>
                <th>创建时间</th>
                <th>预计送达</th>
                <th>操作</th>
            </tr>
        </thead>
        <tbody>
            <?php if (empty($logisticsList)): ?>
                <tr>
                    <td colspan="9" class="text-center">暂无物流订单</td>
                </tr>
            <?php else: ?>
                <?php foreach ($logisticsList as $logistics): ?>
                    <tr>
                        <td><?php echo htmlspecialchars($logistics['logistics_number']); ?></td>
                        <td><?php echo htmlspecialchars($logistics['delivery_number']); ?></td>
                        <td><?php echo htmlspecialchars($logistics['customer_name']); ?></td>
                        <td>
                            <div class="receiver-info">
                                <div><?php echo htmlspecialchars($logistics['receiver_name']); ?></div>
                                <div><?php echo htmlspecialchars($logistics['receiver_phone']); ?></div>
                            </div>
                        </td>
                        <td><?php echo htmlspecialchars($logistics['method_name']); ?></td>
                        <td><?php echo $logistics['company_name'] ? htmlspecialchars($logistics['company_name']) : '-'; ?></td>
                        <td>
                            <span class="status-badge status-<?php echo getLogisticsStatusBadgeClass($logistics['logistics_status']); ?>">
                                <?php echo getLogisticsStatusName($logistics['logistics_status']); ?>
                            </span>
                        </td>
                        <td><?php echo date('Y-m-d H:i', strtotime($logistics['created_at'])); ?></td>
                        <td>
                            <?php if ($logistics['estimated_delivery_time']): ?>
                                <?php echo date('Y-m-d', strtotime($logistics['estimated_delivery_time'])); ?>
                            <?php else: ?>
                                -
                            <?php endif; ?>
                        </td>
                        <td>
                            <a href="index.php?page=delivery&action=view&id=<?php echo $logistics['logistics_id']; ?>" class="btn btn-info">
                                查看
                            </a>

                            <?php if ($logistics['logistics_status'] !== 'delivered'): ?>
                                <a href="index.php?page=delivery&action=edit&id=<?php echo $logistics['logistics_id']; ?>" class="btn btn-primary">
                                    编辑
                                </a>

                                <?php if ($logistics['logistics_status'] === 'pending'): ?>
                                    <a href="index.php?page=delivery&action=update_status&id=<?php echo $logistics['logistics_id']; ?>&status=processing" class="btn btn-secondary" onclick="return confirm('确定要将状态标记为处理中吗？')">
                                        标记处理中
                                    </a>
                                <?php endif; ?>

                                <?php if ($logistics['logistics_status'] === 'processing'): ?>
                                    <a href="index.php?page=delivery&action=update_status&id=<?php echo $logistics['logistics_id']; ?>&status=shipping" class="btn btn-secondary" onclick="return confirm('确定要将状态标记为配送中吗？')">
                                        标记配送中
                                    </a>
                                <?php endif; ?>

                                <?php if ($logistics['logistics_status'] === 'shipping'): ?>
                                    <a href="index.php?page=delivery&action=update_status&id=<?php echo $logistics['logistics_id']; ?>&status=delivered" class="btn btn-success" onclick="return confirm('确定要将状态标记为已送达吗？')">
                                        标记送达
                                    </a>
                                <?php endif; ?>

                                <?php if (in_array($logistics['logistics_status'], ['pending', 'processing'])): ?>
                                    <a href="index.php?page=delivery&action=update_status&id=<?php echo $logistics['logistics_id']; ?>&status=cancelled" class="btn btn-warning" onclick="return confirm('确定要取消此物流订单吗？')">
                                        取消订单
                                    </a>
                                <?php endif; ?>

                                <?php if (in_array($logistics['logistics_status'], ['pending', 'cancelled'])): ?>
                                    <a href="index.php?page=delivery&action=delete&id=<?php echo $logistics['logistics_id']; ?>" class="btn btn-danger" onclick="return confirm('确定要删除此物流订单吗？此操作不可撤销！')">
                                        删除订单
                                    </a>
                                <?php endif; ?>
                            <?php endif; ?>
                        </td>
                    </tr>
                <?php endforeach; ?>
            <?php endif; ?>
        </tbody>
    </table>
</div>

<?php if ($totalPages > 1): ?>
    <div class="pagination">
        <?php
        $queryParams = $_GET;
        $queryParams['page'] = 'delivery';
        $queryString = http_build_query($queryParams);
        $queryString = preg_replace('/&listpage=\d+/', '', $queryString);
        ?>

        <?php if ($page > 1): ?>
            <a class="pagination-item" href="index.php?<?php echo $queryString; ?>&listpage=<?php echo ($page - 1); ?>">上一页</a>
        <?php else: ?>
            <span class="pagination-item disabled">上一页</span>
        <?php endif; ?>

        <?php
        $startPage = max(1, $page - 2);
        $endPage = min($totalPages, $page + 2);

        if ($startPage > 1) {
            echo '<a class="pagination-item" href="index.php?' . $queryString . '&listpage=1">1</a>';
            if ($startPage > 2) {
                echo '<span class="pagination-item disabled">...</span>';
            }
        }

        for ($i = $startPage; $i <= $endPage; $i++) {
            if ($i == $page) {
                echo '<span class="pagination-item active">' . $i . '</span>';
            } else {
                echo '<a class="pagination-item" href="index.php?' . $queryString . '&listpage=' . $i . '">' . $i . '</a>';
            }
        }

        if ($endPage < $totalPages) {
            if ($endPage < $totalPages - 1) {
                echo '<span class="pagination-item disabled">...</span>';
            }
            echo '<a class="pagination-item" href="index.php?' . $queryString . '&listpage=' . $totalPages . '">' . $totalPages . '</a>';
        }
        ?>

        <?php if ($page < $totalPages): ?>
            <a class="pagination-item" href="index.php?<?php echo $queryString; ?>&listpage=<?php echo ($page + 1); ?>">下一页</a>
        <?php else: ?>
            <span class="pagination-item disabled">下一页</span>
        <?php endif; ?>
    </div>
<?php endif; ?>

<style>
    /* 物流订单列表样式 */
    .table-container {
        margin-bottom: 20px;
        overflow-x: auto;
    }

    .data-table {
        width: 100%;
        border-collapse: collapse;
    }

    .data-table th,
    .data-table td {
        padding: 10px;
        border: 1px solid #e9ecef;
        text-align: left;
        vertical-align: middle;
        height: 50px;
        line-height: 1.5;
        box-sizing: border-box;
        background-color: #fff;
    }

    .data-table tr:nth-child(even) td {
        background-color: #f8f9fa;
    }

    .data-table tr:hover td {
        background-color: #f1f1f1;
    }

    /* 状态徽章样式 */
    .status-badge {
        display: inline-block;
        padding: 3px 8px;
        border-radius: 3px;
        font-size: 0.8rem;
        font-weight: 500;
    }

    .status-warning {
        background-color: #fff3cd;
        color: #856404;
    }

    .status-info {
        background-color: #d1ecf1;
        color: #0c5460;
    }

    .status-primary {
        background-color: #cce5ff;
        color: #004085;
    }

    .status-success {
        background-color: #d4edda;
        color: #155724;
    }

    .status-danger {
        background-color: #f8d7da;
        color: #721c24;
    }

    .status-error {
        background-color: #f8d7da;
        color: #721c24;
    }

    /* 全局按钮样式 */
    .btn {
        display: inline-block;
        text-decoration: none;
        text-align: center;
        white-space: nowrap;
        cursor: pointer;
        user-select: none;
        padding: 5px 10px;
        font-size: 14px;
        line-height: 1.5;
        border-radius: 4px;
        margin: 2px 3px;
        border: 1px solid transparent;
        transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out;
    }

    /* 按钮颜色 */
    .btn-info {
        color: #fff;
        background-color: #17a2b8;
        border: 1px solid #17a2b8;
    }

    .btn-info:hover {
        color: #fff;
        background-color: #138496;
        border-color: #117a8b;
        text-decoration: none;
    }

    .btn-primary {
        color: #fff;
        background-color: #007bff;
        border: 1px solid #007bff;
    }

    .btn-primary:hover {
        color: #fff;
        background-color: #0069d9;
        border-color: #0062cc;
        text-decoration: none;
    }

    .btn-secondary {
        color: #fff;
        background-color: #6c757d;
        border: 1px solid #6c757d;
    }

    .btn-secondary:hover {
        color: #fff;
        background-color: #5a6268;
        border-color: #545b62;
        text-decoration: none;
    }

    .btn-success {
        color: #fff;
        background-color: #28a745;
        border: 1px solid #28a745;
    }

    .btn-success:hover {
        color: #fff;
        background-color: #218838;
        border-color: #1e7e34;
        text-decoration: none;
    }

    .btn-warning {
        color: #212529;
        background-color: #ffc107;
        border: 1px solid #ffc107;
    }

    .btn-warning:hover {
        color: #212529;
        background-color: #e0a800;
        border-color: #d39e00;
        text-decoration: none;
    }

    .btn-danger {
        color: #fff;
        background-color: #dc3545;
        border: 1px solid #dc3545;
    }

    .btn-danger:hover {
        color: #fff;
        background-color: #c82333;
        border-color: #bd2130;
        text-decoration: none;
    }



    /* 模块工具区样式 */
    .module-tools {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 20px;
    }

    .tool-left h3 {
        margin: 0;
        font-size: 1.25rem;
        color: #495057;
    }

    /* 搜索表单样式 */
    .search-section {
        margin-bottom: 20px;
        padding: 15px;
        background-color: #f8f9fa;
        border-radius: 5px;
        border: 1px solid #e9ecef;
    }

    .search-form {
        display: flex;
        flex-wrap: wrap;
        gap: 10px;
        align-items: flex-end;
    }

    .search-group {
        margin-bottom: 10px;
    }

    .search-input {
        padding: 6px 12px;
        background-color: #fff;
        border: 1px solid #ced4da;
        border-radius: 4px;
        font-size: 14px;
        min-width: 180px;
    }

    /* 收件人信息样式 */
    .receiver-info {
        display: flex;
        flex-direction: column;
        font-size: 14px;
        line-height: 1.2;
    }

    .receiver-info div {
        margin: 1px 0;
    }
</style>

<script>
    // 关闭所有打开的下拉菜单
    function closeAllDropdowns() {
        var dropdowns = document.getElementsByClassName('dropdown-menu');
        for (var i = 0; i < dropdowns.length; i++) {
            dropdowns[i].classList.remove('show');
        }
    }

    // 切换当前下拉菜单的显示状态
    function toggleDropdown(btn) {
        event.stopPropagation(); // 阻止事件冒泡
        var dropdownMenu = btn.nextElementSibling;

        // 首先关闭所有下拉菜单
        closeAllDropdowns();

        // 然后切换当前下拉菜单
        if (!dropdownMenu.classList.contains('show')) {
            dropdownMenu.classList.add('show');
        }
    }

    // 点击页面其他地方时关闭所有下拉菜单
    document.addEventListener('click', function() {
        closeAllDropdowns();
    });
</script>