<?php
// 防止直接访问
defined('IN_SYSTEM') || die('禁止访问');
?>

<!-- 显示消息 -->
<?php if (!empty($message)): ?>
    <div class="alert alert-<?php echo $messageType; ?>"><?php echo $message; ?></div>
<?php endif; ?>

<div class="module-tools">
    <div class="tool-left">
        <a href="index.php?page=delivery" class="btn btn-secondary">返回列表</a>
        <?php if (($viewData['delivery_status'] ?? 'pending') == 'pending'): ?>
            <a href="index.php?page=delivery&action=edit&id=<?php echo $viewData['delivery_id']; ?>" class="btn btn-primary">编辑出库单</a>
        <?php endif; ?>
    </div>
</div>

<div class="data-wrapper">
    <h4 class="data-title">出库单详情</h4>

    <div class="detail-container">
        <h3>基本信息</h3>
        <div class="detail-group">
            <label>出库单号：</label>
            <span><?php echo htmlspecialchars($viewData['delivery_number'] ?? ''); ?></span>
        </div>
        <div class="detail-group">
            <label>客户：</label>
            <span><?php echo htmlspecialchars($viewData['customer_name'] ?? ''); ?></span>
        </div>
        <div class="detail-group">
            <label>仓库：</label>
            <span><?php echo htmlspecialchars($viewData['warehouse_name'] ?? ''); ?></span>
        </div>
        <div class="detail-group">
            <label>出库日期：</label>
            <span><?php echo $viewData['delivery_date'] ?? ''; ?></span>
        </div>
        <div class="detail-group">
            <label>出库状态：</label>
            <span>
                <span class="badge badge-<?php echo getDeliveryStatusBadgeClass($viewData['delivery_status'] ?? 'pending'); ?>">
                    <?php echo getDeliveryStatusName($viewData['delivery_status'] ?? 'pending'); ?>
                </span>
            </span>
        </div>
        <?php if (!empty($viewData['order_id'])): ?>
            <div class="detail-group">
                <label>关联订单：</label>
                <span>
                    <a href="index.php?page=order&action=view&id=<?php echo $viewData['order_id']; ?>">
                        查看关联订单
                    </a>
                </span>
            </div>
        <?php endif; ?>
        <?php if (!empty($viewData['invoice_id'])): ?>
            <div class="detail-group">
                <label>关联发票：</label>
                <span>
                    <a href="index.php?page=invoice&action=view&id=<?php echo $viewData['invoice_id']; ?>">
                        查看关联发票
                    </a>
                </span>
            </div>
        <?php endif; ?>
    </div>

    <div class="detail-container">
        <h3>收货信息</h3>
        <div class="detail-group">
            <label>收货地址：</label>
            <span><?php echo htmlspecialchars($viewData['shipping_address'] ?? '未设置'); ?></span>
        </div>
        <div class="detail-group">
            <label>联系人：</label>
            <span><?php echo htmlspecialchars($viewData['contact_person'] ?? '未设置'); ?></span>
        </div>
        <div class="detail-group">
            <label>联系电话：</label>
            <span><?php echo htmlspecialchars($viewData['contact_phone'] ?? '未设置'); ?></span>
        </div>
        <div class="detail-group">
            <label>备注：</label>
            <span><?php echo htmlspecialchars($viewData['remark'] ?? ''); ?></span>
        </div>
    </div>

    <div class="detail-container">
        <h3>出库商品明细</h3>
        <?php if (count($viewItems) > 0): ?>
            <table class="data-table">
                <thead>
                    <tr>
                        <th>商品名称</th>
                        <th>条码</th>
                        <th>单位</th>
                        <th>批次</th>
                        <th>单价(元)</th>
                        <th>数量</th>
                        <th>折扣(%)</th>
                        <th>金额(元)</th>
                        <th>备注</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    $totalAmount = 0;
                    foreach ($viewItems as $item):
                        $totalAmount += $item['item_amount'];
                    ?>
                        <tr>
                            <td><?php echo htmlspecialchars($item['product_name'] ?? ''); ?></td>
                            <td><?php echo htmlspecialchars($item['barcode'] ?? ''); ?></td>
                            <td><?php echo htmlspecialchars($item['unit'] ?? ''); ?></td>
                            <td><?php echo htmlspecialchars($item['batch_number'] ?? ''); ?></td>
                            <td><?php echo number_format($item['unit_price'], 2); ?></td>
                            <td><?php echo $item['quantity']; ?></td>
                            <td><?php echo number_format($item['discount_rate'] ?? 0, 2); ?></td>
                            <td><?php echo number_format($item['item_amount'], 2); ?></td>
                            <td><?php echo htmlspecialchars($item['remark'] ?? ''); ?></td>
                        </tr>
                    <?php endforeach; ?>
                </tbody>
                <tfoot>
                    <tr>
                        <td colspan="7" align="right"><strong>总计：</strong></td>
                        <td><strong><?php echo number_format($viewData['total_amount'] ?? $totalAmount, 2); ?></strong></td>
                        <td></td>
                    </tr>
                </tfoot>
            </table>
        <?php else: ?>
            <div class="alert alert-info">暂无商品明细</div>
        <?php endif; ?>
    </div>

    <div class="detail-container">
        <h3>其他信息</h3>
        <div class="detail-group">
            <label>创建人：</label>
            <span>
                <?php
                $createdBy = $viewData['created_by'] ?? 0;
                // 获取创建人信息
                if ($createdBy > 0) {
                    $userSql = "SELECT username, full_name FROM users WHERE user_id = ?";
                    $userStmt = $conn->prepare($userSql);
                    $userStmt->bind_param("i", $createdBy);
                    $userStmt->execute();
                    $userResult = $userStmt->get_result();
                    if ($userResult && $user = $userResult->fetch_assoc()) {
                        echo htmlspecialchars($user['full_name'] . ' (' . $user['username'] . ')');
                    } else {
                        echo '未知用户';
                    }
                } else {
                    echo '未知用户';
                }
                ?>
            </span>
        </div>
        <div class="detail-group">
            <label>创建时间：</label>
            <span><?php echo $viewData['created_at'] ?? ''; ?></span>
        </div>
        <div class="detail-group">
            <label>最后更新：</label>
            <span><?php echo $viewData['updated_at'] ?? ''; ?></span>
        </div>
    </div>
</div>